# Contributing

If you find problems, have ideas for new features or improvements, or
want to contribute new material (code or documentation), you should
start by using the [issue tracker][1] to share your thoughts.

Once you have a concrete contribution to code or documentationn, you
can submit a pull request with your changes.

Please, follow these guidelines when you do so.

## Issue reporting

* Check that the problem has not already been reported.
* Check that the problem has not already been fixed in the latest code
  (the `master` branch).
* Open an issue with a descriptive title and a summary in complete
  sentences. Be clear and concise in your description of the problem.
* Include links to any relevant code in the issue summary.

## Pull requests

* Read [how to properly contribute to open source projects on Github][2].
* Be sure to use the same coding conventions as the rest of the
  project. Include roxygen comments to document any new functions.
* Make sure that each commit in your contribution includes a
  [good commit message][3].
* Verify that your code runs correctly and that, with your code in
  place, the FDBeye package builds without errors or warnings (run
  devtools::build).
* Push your code to your (github) fork of FDBeye.
* Open a [pull request][4] with a descriptive title and clear
  summary of your changes in complete sentences.

[1]: https://github.com/davebraze/FDBeye/issues
[2]: http://gun.io/blog/how-to-github-fork-branch-and-pull-request
[3]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html
[4]: https://help.github.com/articles/using-pull-requests
